Method: projects.locations.instances.list

Lists Instances in a given project and location.

HTTP request

GET https://looker.googleapis.com/v1/{parent=projects/*/locations/*}/instances

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. Format: projects/{project}/locations/{location}.

Query parameters

Parameters
pageSize

integer

The maximum number of instances to return. If unspecified at most 256 will be returned. The maximum possible value is 2048.

pageToken

string

A page token received from a previous ListInstancesRequest.

showDeleted

boolean

Optional. Whether to include deleted instances in the response.

Request body

The request body must be empty.

Response body

Response from instances.list.

If successful, the response body contains data with the following structure:

JSON representation
{
  "instances": [
    {
      object (Instance)
    }
  ],
  "nextPageToken": string,
  "unreachable": [
    string
  ]
}
Fields
instances[]

object (Instance)

The list of instances matching the request filters, up to the requested pageSize.

nextPageToken

string

If provided, a page token that can look up the next pageSize results. If empty, the results list is exhausted.

unreachable[]

string

Locations that could not be reached.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the parent resource:

  • looker.googleapis.com/looker.instances.list

For more information, see the IAM documentation.